# for the ffmpeg security patches
%define	_default_patch_fuzz 2

# "version" number of bundled ffmpeg snapshot
# source listed in in cmake/admFFmpegBuild.cmake
%define	ffmpeg_release r25041

%define	name	avidemux
%define	Name	Avidemux
%define version 2.5.4
%define subrel	3
%define rel 5
%define pre 0
%if %pre
%define filename %{name}_%{version}_preview%pre
%define release %mkrel 0.preview%pre.%rel
%else 
%define filename %{name}_%version
%define release %mkrel %rel
%endif

%bcond_with plf
%define with_x264 0

%if "%distro_section" == "tainted"
%define with_plf 1
%endif

%if %with plf
%define with_x264 1
%endif

%define	pkgsummary	A free video editor

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{pkgsummary}
Source0:	http://downloads.sourceforge.net/project/%name/%name/%version/%{filename}.tar.gz
#gw official patches: 
Patch0:	     	2.5.4_audioDevice.patch
Patch1:		2.5.4_gtk_menu_dont_crash.patch
#
Patch2:		avidemux-2.5.1-opencore-check.patch
Patch3:		avidemux-jack-underlinking.patch
Patch5:		avidemux-mpeg2enc-underlinking.patch
#gw fix build with x264 0.110
Patch6:		avidemux_2.5.4-new-x264.patch
# our existing security patches for bundled ffmpeg snapshot
Patch7:		ffmpeg-0.6.3-mga-check_all_svq3_get_ue_golomb_returns.patch
Patch8:		CVE-2011-1196.patch
Patch9:		CVE-2011-3362.patch
Patch10:	CVE-2011-1931.patch
Patch11:	CVE-2011-2161.patch
Patch12:	fix-CVE-2011-0480.patch
Patch13:	fix-CVE-2011-0723.patch
Patch14:	fix-CVE-2010-3429.patch
Patch15:	fix-CVE-2010-4704.patch
# added from http://svnweb.mageia.org/packages?view=revision&revision=194375
Patch16:	ffmpeg-CVE-2009-4636.patch
Patch17:	ffmpeg-CVE-2011-0722.patch
Patch18:	ffmpeg-mov_bad_timings.patch
Patch19:	ffmpeg-mp3_outlen.patch
Patch20:	ffmpeg-vorbis_zero_samplerate.patch
# new security patches for bundled ffmpeg snapshot, taken from Ubuntu:
# http://bazaar.launchpad.net/~ubuntu-branches/ubuntu/maverick/ffmpeg/maverick-security/revision/54
Patch21:	CVE-2011-3504.patch
Patch22:	CVE-2011-4351.patch
Patch23:	CVE-2011-4352.patch
Patch24:	CVE-2011-4353.patch
Patch25:	CVE-2011-4364.patch
Patch26:	CVE-2011-4579.patch
Patch27:	CVE-2011-3892.patch
Patch28:	CVE-2011-3895.patch
Patch29:	CVE-2011-3893.patch
Patch30:	CVE-2011-3940.patch
Patch31:	CVE-2011-3929-CVE-2011-3936.patch
Patch32:	CVE-2012-0853.patch
Patch33:	CVE-2011-3947.patch
Patch34:	CVE-2011-3945.patch
Patch35:	CVE-2012-0947.patch
Patch36:	CVE-2011-3951.patch
Patch37:	CVE-2012-0850.patch
Patch38:	CVE-2012-0851.patch
Patch39:	CVE-2012-0852.patch
Patch40:	CVE-2012-0858.patch
Patch41:	CVE-2011-3952.patch
License:	GPLv2+
Group:		Video
Url:		http://fixounet.free.fr/avidemux
BuildRequires:	gtk+2-devel >= 2.6.0
BuildRequires:	qt4-devel qt4-linguist
BuildRequires:	SDL-devel
BuildRequires:	nasm
BuildRequires:	libxml2-devel
BuildRequires:	libmad-devel
BuildRequires:	liba52dec-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libjack-devel
BuildRequires:	libpulseaudio-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	gettext-devel
BuildRequires:	libxv-devel
BuildRequires:	libva-devel
BuildRequires:	cmake
BuildRequires:	libxslt-proc
# not packaged yet:
#BuildRequires:  libaften-devel
%if %with plf
BuildRequires:	libxvid-devel
BuildRequires:	liblame-devel
BuildRequires:	libfaad2-devel
# BuildRequires:	libfaac-devel
%if %with_x264
BuildRequires:	x264-devel >= 0.67
%endif
BuildRequires:  opencore-amr-devel
%endif
BuildRequires:	imagemagick
BuildRequires:	yasm
Requires: avidemux-ui

%description
Avidemux is a free video editor designed for simple cutting,
filtering and encoding tasks.It supports many file types, including
AVI, DVD compatible MPEG files, MP4 and ASF, using a variety of
codecs. Tasks can be automated using projects, job queue and
powerful scripting capabilities.

%if %with plf
This package is in the Tainted section because this build has support for
codecs covered by software patents.
%endif

%package gtk
Summary:	%{pkgsummary} - GTK GUI
Group:		Video
Requires: gtk+2.0 >= 2.6.0
Requires: %name = %version-%release
Provides: avidemux-ui = %version-%release

%description gtk
Avidemux is a free video editor. This package contains the
version with a graphical user interface based on GTK.

%package qt
Summary:	%{pkgsummary} - Qt4 GUI
Group:		Video
Requires: %name = %version-%release
Provides: avidemux-ui = %version-%release

%description qt
Avidemux is a free video editor. This package contains the
version with a graphical user interface based on Qt4.

%package cli
Summary:	%{pkgsummary} - command-line version
Group:		Video
Requires: %name = %version-%release
Provides: avidemux-ui = %version-%release

%description cli
Avidemux is a free video editor. This package contains the
version with a command-line interface.

%if %with plf
This package is in the Tainted section because this build has support for
codecs covered by software patents.
%endif

%prep
%setup -q -n %filename

# remove unused bundled ffmpeg tarballs, defined in cmake/admFFmpegBuild.cmake
rm -f avidemux/ADM_libraries/ffmpeg_r20602.tar.gz
rm -f avidemux/ADM_libraries/libswscale_r29964.tar.gz

# extract, patch and recreate the bundled tarball of ffmpeg
# otherwise avidemux buildsystem would need to be patched and the patches
# would not be visible within the SPEC
pushd avidemux/ADM_libraries

tar xf ffmpeg_%{ffmpeg_release}.tar.gz && rm -f ffmpeg_%{ffmpeg_release}.tar.gz
pushd ffmpeg
%patch7 -p1 -b .check_all_svq3_get_ue_golomb_returns
%patch8 -p1 -b .CVE-2011-1196
%patch9 -p1 -b .CVE-2011-3362
%patch10 -p1 -b .CVE-2011-1931
%patch11 -p1 -b .CVE-2011-2161
%patch12 -p1 -b .fix-CVE-2011-0480
%patch13 -p1 -b .fix-CVE-2011-0723
%patch14 -p1 -b .fix-CVE-2010-3429
%patch15 -p1 -b .fix-CVE-2010-4704
%patch16 -p1 -b .CVE-2009-4636
%patch17 -p1 -b .CVE-2011-0722
%patch18 -p1 -b .mov_bad_timings
%patch19 -p1 -b .mp3_outlen
%patch20 -p1 -b .vorbis_zero_samplerate
%patch21 -p1 -b .CVE-2011-3504
%patch22 -p1 -b .CVE-2011-4351
%patch23 -p1 -b .CVE-2011-4352
%patch24 -p1 -b .CVE-2011-4353
%patch25 -p1 -b .CVE-2011-4364
%patch26 -p1 -b .CVE-2011-4579
%patch27 -p1 -b .CVE-2011-3892
%patch28 -p1 -b .CVE-2011-3895
%patch29 -p1 -b .CVE-2011-3893
%patch30 -p1 -b .CVE-2011-3940
%patch31 -p1 -b .CVE-2011-3929-CVE-2011-3936
%patch32 -p1 -b .CVE-2012-0853
%patch33 -p1 -b .CVE-2011-3947
%patch34 -p1 -b .CVE-2011-3945
%patch35 -p1 -b .CVE-2012-0947
%patch36 -p1 -b .CVE-2011-3951
%patch37 -p1 -b .CVE-2012-0850
%patch38 -p1 -b .CVE-2012-0851
%patch39 -p1 -b .CVE-2012-0852
%patch40 -p1 -b .CVE-2012-0858
%patch41 -p1 -b .CVE-2011-3952
popd
tar czf ffmpeg_%{ffmpeg_release}.tar.gz ffmpeg/
popd

%patch0
%patch1
%patch2 -p1
%patch3 -p1
%patch5 -p1
%patch6 -p1

# libdir is nicely hardcoded
sed -i 's,Dir="lib",Dir="%{_lib}",' avidemux/main.cpp avidemux/ADM_core/src/ADM_fileio.cpp
grep -q '"%{_lib}"' avidemux/main.cpp
grep -q '"%{_lib}"' avidemux/ADM_core/src/ADM_fileio.cpp

%build
#gw 2.5.4 has linking problems in plugins/ADM_videoFilters/AvsFilter
#   	      	      	   and in plugins/ADM_videoFilters/Logo/
%define _disable_ld_no_undefined 1
%cmake
%make

# plugin build expects libraries to be already installed; we fake a prefix
# in build/ by symlinking all libraries to build/lib/
mkdir -p %_lib
cd %_lib
find ../avidemux -name '*.so*' | xargs ln -sft . 
cd ../../plugins
%cmake -DAVIDEMUX_SOURCE_DIR=$RPM_BUILD_DIR/%filename -DAVIDEMUX_CORECONFIG_DIR=$RPM_BUILD_DIR/%filename/build/config -DAVIDEMUX_INSTALL_PREFIX=%_builddir/%filename/build
make


%install
rm -rf $RPM_BUILD_ROOT
cd build
%makeinstall_std
mkdir -p %buildroot%_libdir
cd ..

cd plugins/build
%makeinstall_std
#gw install this manually:
cp ADM_videoEncoder/ADM_vidEnc_mpeg2enc/mpeg2enc/libmpeg2enc.so \
  ADM_videoEncoder/common/pluginOptions/libADM_vidEnc_pluginOptions.so \
  ADM_videoEncoder/common/xvidRateCtl/libADM_xvidRateCtl.so %buildroot%_libdir
cd ../..

# icons
install -d -m755 $RPM_BUILD_ROOT%{_liconsdir}
install -d -m755 $RPM_BUILD_ROOT%{_iconsdir}
install -d -m755 $RPM_BUILD_ROOT%{_miconsdir}
convert avidemux_icon.png -resize 48x48 $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert avidemux_icon.png -resize 32x32 $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert avidemux_icon.png -resize 16x16 $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

# menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{_real_vendor}-%{name}-gtk.desktop << EOF
[Desktop Entry]
Name=%{Name}
Comment=%{pkgsummary}
Exec=%{_bindir}/%{name}2_gtk %U
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=AudioVideo;Video;AudioVideoEditing;GTK;
EOF
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{_real_vendor}-%{name}-qt.desktop << EOF
[Desktop Entry]
Name=%{Name}
Comment=%{pkgsummary}
Exec=%{_bindir}/%{name}2_qt4 %U
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=AudioVideo;Video;AudioVideoEditing;Qt;
EOF

rm -rf %buildroot%_datadir/locale/klingon

%{find_lang} %{name}

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%_libdir/libADM5*
%_libdir/libADM_core*
%_libdir/libADM_smjs.so
%_libdir/libADM_vidEnc_pluginOptions.so
%_libdir/libADM_xvidRateCtl.so
%_libdir/libmpeg2enc.so
%dir %_libdir/ADM_plugins
%dir %_libdir/ADM_plugins/audioDecoder
%_libdir/ADM_plugins/audioDecoder/libADM_ad_Mad.so
%_libdir/ADM_plugins/audioDecoder/libADM_ad_a52.so
%if %with plf
%_libdir/ADM_plugins/audioDecoder/libADM_ad_opencore_amrnb.so
%_libdir/ADM_plugins/audioDecoder/libADM_ad_opencore_amrwb.so
%_libdir/ADM_plugins/audioDecoder/libADM_ad_faad.so
%endif
%_libdir/ADM_plugins/audioDecoder/libADM_ad_vorbis.so
%dir %_libdir/ADM_plugins/audioDevices
%_libdir/ADM_plugins/audioDevices/libADM_av_alsa.so
%_libdir/ADM_plugins/audioDevices/libADM_av_jack.so
%_libdir/ADM_plugins/audioDevices/libADM_av_oss.so
%_libdir/ADM_plugins/audioDevices/libADM_av_pulseAudioSimple.so
%_libdir/ADM_plugins/audioDevices/libADM_av_sdl.so
%dir %_libdir/ADM_plugins/audioEncoders
%_libdir/ADM_plugins/audioEncoders/libADM_ae_lav_ac3.so
%_libdir/ADM_plugins/audioEncoders/libADM_ae_lav_mp2.so
%_libdir/ADM_plugins/audioEncoders/libADM_ae_pcm.so
%_libdir/ADM_plugins/audioEncoders/libADM_ae_twolame.so
%_libdir/ADM_plugins/audioEncoders/libADM_ae_vorbis.so
%if %with plf
# %_libdir/ADM_plugins/audioEncoders/libADM_ae_faac.so
%_libdir/ADM_plugins/audioEncoders/libADM_ae_lame.so
%dir %_libdir/ADM_plugins/videoEncoder
%if %with_x264
%_libdir/ADM_plugins/videoEncoder/libADM_vidEnc_x264.so
%dir %_libdir/ADM_plugins/videoEncoder/x264/
%_libdir/ADM_plugins/videoEncoder/x264/*.xml
%_libdir/ADM_plugins/videoEncoder/x264/*.xsd
%endif
%_libdir/ADM_plugins/videoEncoder/libADM_vidEnc_xvid.so
%dir %_libdir/ADM_plugins/videoEncoder/xvid
%_libdir/ADM_plugins/videoEncoder/xvid/*.xsd
%endif
%dir %_libdir/ADM_plugins/videoEncoder/avcodec
%_libdir/ADM_plugins/videoEncoder/avcodec/*.xsd
%dir %_libdir/ADM_plugins/videoEncoder/avcodec/mpeg-?
%_libdir/ADM_plugins/videoEncoder/avcodec/mpeg-?/*.xml
%_libdir/ADM_plugins/videoEncoder/libADM_vidEnc_avcodec.so
%_libdir/ADM_plugins/videoEncoder/libADM_vidEnc_mpeg2enc.so
%dir %_libdir/ADM_plugins/videoEncoder/mpeg2enc
%_libdir/ADM_plugins/videoEncoder/mpeg2enc/*.xsd
%dir %_libdir/ADM_plugins/videoEncoder/mpeg2enc/mpeg-?
%_libdir/ADM_plugins/videoEncoder/mpeg2enc/mpeg-?/*.xml
%dir %_libdir/ADM_plugins/videoFilter
%_libdir/ADM_plugins/videoFilter/libADM_vf_Deinterlace.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_Delta.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_Denoise.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_FluxSmooth.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_Mosaic.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_Pulldown.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_Stabilize.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_Tisophote.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_Whirl.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_addborders.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_avsfilter.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_blackenBorders.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_blendDgBob.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_blendRemoval.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_decimate.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_denoise3d.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_denoise3dhq.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_dropOut.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_fade.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_fastconvolutiongauss.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_fastconvolutionmean.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_fastconvolutionmedian.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_fastconvolutionsharpen.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_forcedPP.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_hzStackField.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_keepEvenField.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_keepOddField.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_kernelDeint.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_largemedian.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_lavDeinterlace.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_logo.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_lumaonly.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_mSharpen.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_mSmooth.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_mcdeint.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_mergeField.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_palShift.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_resampleFps.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_reverse.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_rotate.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_separateField.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_smartPalShift.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_smartSwapField.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_soften.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_ssa.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_stackField.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_swapField.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_swapuv.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_tdeint.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_telecide.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_unstackField.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_vflip.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_vlad.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_yadif.so
%_libdir/ADM_plugins/videoFilter/libADM_vidChromaU.so
%_libdir/ADM_plugins/videoFilter/libADM_vidChromaV.so
%_datadir/ADM_scripts/
%dir %_datadir/ADM_addons/
%_datadir/ADM_addons/avsfilter

%files gtk
%defattr(-,root,root)
%{_bindir}/avidemux2_gtk
%_datadir/applications/%{_real_vendor}-avidemux-gtk.desktop
%_libdir/libADM_render_gtk.so
%_libdir/libADM_UIGtk.so
%if %with plf
%if %with_x264
%_libdir/ADM_plugins/videoEncoder/x264/libADM_vidEnc_x264_Gtk.so
%endif
%_libdir/ADM_plugins/videoEncoder/xvid/libADM_vidEnc_Xvid_Gtk.so
%endif
%_libdir/ADM_plugins/videoFilter/libADM_vf_Crop_gtk.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_asharp_gtk.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_avisynthResize_gtk.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_chromaShift_gtk.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_cnr2_gtk.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_colorYUV_gtk.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_contrast_gtk.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_eq2_gtk.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_equalizer_gtk.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_hue_gtk.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_mpdelogo_gtk.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_mplayerResize_gtk.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_sub_gtk.so

%files qt
%defattr(-,root,root)
%{_bindir}/avidemux2_qt4
%_datadir/applications/%{_real_vendor}-avidemux-qt.desktop
%dir %_datadir/%name
%dir %_datadir/%name/i18n
%_datadir/%name/i18n/*.qm
%_libdir/libADM_render_qt4.so
%_libdir/libADM_UIQT4.so
%if %with plf
%if %with_x264
%_libdir/ADM_plugins/videoEncoder/x264/libADM_vidEnc_x264_Qt.so
%endif
%_libdir/ADM_plugins/videoEncoder/xvid/libADM_vidEnc_Xvid_Qt.so
%endif
%_libdir/ADM_plugins/videoFilter/libADM_vf_crop_qt4.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_asharp_qt4.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_avisynthResize_qt4.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_chromaShift_qt4.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_cnr2_qt4.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_colorYUV_qt4.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_contrast_qt4.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_curveEditor_qt4.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_eq2_qt4.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_equalizer_qt4.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_hue_qt4.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_mpdelogo_qt4.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_mplayerResize_qt4.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_sub_qt4.so

%files cli
%defattr(-,root,root)
%doc README
%{_bindir}/avidemux2_cli
%_libdir/libADM_render_cli.so
%_libdir/libADM_UICli.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_Hue_cli.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_asharp_cli.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_avisynthResize_cli.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_chromashift_cli.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_cnr2_cli.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_colorYUV_cli.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_contrast_cli.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_crop_cli.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_eq2_cli.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_equalizer_cli.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_mpdelogo_cli.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_mplayerResize_cli.so
%_libdir/ADM_plugins/videoFilter/libADM_vf_sub_cli.so




%changelog

* Sun Aug 05 2012 luigiwalser <luigiwalser> 2.5.4-5.3.mga1
+ Revision: 278523
- sync ffmpeg git patches from mplayer package to fix:
  - CVE-2011-3892
  - CVE-2011-3893
  - CVE-2011-3895
  - CVE-2011-3940
  - CVE-2011-3929
  - CVE-2011-3936
  - CVE-2012-0853
  - CVE-2011-3947
  - CVE-2011-3945
  - CVE-2012-0947
  - CVE-2011-3951
  - CVE-2012-0850
  - CVE-2012-0851
  - CVE-2012-0852
  - CVE-2012-0858
  - CVE-2011-3952

  + doktor5000 <doktor5000>
    - removed unused bundled tarballs of ffmpeg and libswscale
    - fixed CVE-2011-1196, denial of service and possible code execution via
      malformed OGG file (from Ubuntu, cve-2011-1196.patch)
    - fixed CVE-2011-3362, arbitrary code execution via malformed CAVS file
      (from Ubuntu, cve-2011-3362.patch)
    - fixed CVE-2011-1931, denial of service and possible code execution via
      malformed AMV file (from Ubuntu, CVE-2011-1931.patch)
    - fixed CVE-2011-2161, denial of service via malformed APE file
      (from Ubuntu, CVE-2011-2161.patch)
    - fixed CVE-2011-0480, denial of service and possible code execution via
      crafted WebM file (rediffed from Ubuntu,
      mplayer-1.4.0-mga-fix-CVE-2011-0480.patch)
    - fixed CVE-2011-0723, denial of service and possible code execution via
      crafted VC1 file  (from Ubuntu, fix-CVE-2011-0723.patch)
    - fixed CVE-2010-3429, arbitrary offset dereference vulnerability in flic video
      codec (from Ubuntu, fix-CVE-2010-3429.patch)
    - fixed CVE-2010-4704, denial of service via crafted .ogg file
      (from Ubuntu, fix-CVE-2010-4704.patch)
    - fixed  CVE-2009-4636, denial of service via a crafted .aac file that triggers
      an infinite loop (from Mandriva, ffmpeg-CVE-2009-4636.patch)
    - fixed  CVE-2011-0722, denial of service (heap memory corruption and
      application crash) or possibly execute arbitrary code via a malformed
      RealMedia file (from Mandriva, fmpeg-CVE-2011-0722.patch)
    - fixed CVE-2011-3504, arbitrary code execution via a crafted Matroska file
      (from Ubuntu, CVE-2011-3504.patch)
    - fixed CVE-2011-4351, buffer overflow via error within the QDM2 decoder
      (from Ubuntu, CVE-2011-4351.patch)
    - fixed CVE-2011-4352, buffer overflow within the "vp3_dequant()" function
      (from Ubuntu, CVE-2011-4352.patch)
    - fixed CVE-2011-4353, out-of-bounds reads via errors within the
      "av_image_fill_pointers()", the "vp5_parse_coeff()", and the
      "vp6_parse_coeff()" functions (from Ubuntu, CVE-2011-4353.patch)
    - fixed CVE-2011-4364, denial of service or arbitrary code execution via a
      malformed VMD file (from Ubuntu, CVE-2011-4364.patch)
    - fixed CVE-2011-4579, memory corruption via an error within the
      "svq1_decode_frame()" function (from Ubuntu, CVE-2011-4579.patch)
    - fix unchecked return values that may cause a crash
      (from upstream, check_all_svq3_get_ue_golomb_returns.patch)
    - security fix for ffmpeg-mov_bad_timings (from Mandriva)
    - security fix for ffmpeg-mp3_outlen (from Mandriva)
    - security fix for ffmpeg-vorbis_zero_samplerate (from Mandriva)

  + ahmad <ahmad>
    - Enable tainted building (mga#1673)

* Wed Apr 27 2011 wally <wally> 2.5.4-5.mga1
+ Revision: 92131
- fix desktop file names (mga#954)
- drop buildroot definition

* Tue Feb 22 2011 ahmad <ahmad> 2.5.4-4.mga1
+ Revision: 55875
- drop esound-devel (phasing out esound from the distro)

  + anssi <anssi>
    - remove old macros
    - imported package avidemux

